apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.130.2.154/23"],"mac_address":"0a:58:0a:82:02:9a","gateway_ips":["10.130.2.1"],"routes":[{"dest":"10.128.0.0/14","nextHop":"10.130.2.1"},{"dest":"172.30.0.0/16","nextHop":"10.130.2.1"},{"dest":"169.254.0.5/32","nextHop":"10.130.2.1"},{"dest":"100.64.0.0/16","nextHop":"10.130.2.1"}],"ip_address":"10.130.2.154/23","gateway_ip":"10.130.2.1","role":"primary"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.130.2.154"
          ],
          "mac": "0a:58:0a:82:02:9a",
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: restricted-v2
    seccomp.security.alpha.kubernetes.io/pod: runtime/default
    tempo.grafana.com/config.hash: e7f9a0574719f33b0f2ac5b3ffb9fd8efceffae948bac785ac8ce59337ba103c
  creationTimestamp: "2025-02-27T08:36:42Z"
  generateName: tempo-sample-ingester-
  labels:
    app.kubernetes.io/component: ingester
    app.kubernetes.io/instance: sample
    app.kubernetes.io/managed-by: tempo-operator
    app.kubernetes.io/name: tempo
    apps.kubernetes.io/pod-index: "0"
    controller-revision-hash: tempo-sample-ingester-54dd9b6bd7
    statefulset.kubernetes.io/pod-name: tempo-sample-ingester-0
    tempo-gossip-member: "true"
  name: tempo-sample-ingester-0
  namespace: tracing-system
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: StatefulSet
    name: tempo-sample-ingester
    uid: 7e0cd678-ab54-4d56-a1ff-7b2c85a4a49e
  resourceVersion: "637293"
  uid: 577062eb-ac46-42f3-abd1-ef9f80988267
spec:
  affinity:
    podAntiAffinity:
      preferredDuringSchedulingIgnoredDuringExecution:
      - podAffinityTerm:
          labelSelector:
            matchLabels:
              app.kubernetes.io/component: ingester
              app.kubernetes.io/instance: sample
              app.kubernetes.io/managed-by: tempo-operator
              app.kubernetes.io/name: tempo
          topologyKey: kubernetes.io/hostname
        weight: 100
      - podAffinityTerm:
          labelSelector:
            matchLabels:
              app.kubernetes.io/component: ingester
              app.kubernetes.io/instance: sample
              app.kubernetes.io/managed-by: tempo-operator
              app.kubernetes.io/name: tempo
          topologyKey: failure-domain.beta.kubernetes.io/zone
        weight: 75
  containers:
  - args:
    - -target=ingester
    - -config.file=/conf/tempo.yaml
    - -log.level=info
    - --storage.trace.s3.secret_key=$(S3_SECRET_KEY)
    - --storage.trace.s3.access_key=$(S3_ACCESS_KEY)
    env:
    - name: S3_SECRET_KEY
      valueFrom:
        secretKeyRef:
          key: access_key_secret
          name: my-storage-secret
    - name: S3_ACCESS_KEY
      valueFrom:
        secretKeyRef:
          key: access_key_id
          name: my-storage-secret
    image: registry.redhat.io/rhosdt/tempo-rhel8@sha256:bcd9aceb63d3a328855a2924810fb67e0c8dd36fc42dd79131c141865d076907
    imagePullPolicy: IfNotPresent
    name: tempo
    ports:
    - containerPort: 7946
      name: http-memberlist
      protocol: TCP
    - containerPort: 3200
      name: http
      protocol: TCP
    - containerPort: 9095
      name: grpc
      protocol: TCP
    readinessProbe:
      failureThreshold: 3
      httpGet:
        path: /ready
        port: 3101
        scheme: HTTPS
      initialDelaySeconds: 15
      periodSeconds: 10
      successThreshold: 1
      timeoutSeconds: 1
    resources: {}
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
      readOnlyRootFilesystem: true
      runAsNonRoot: true
      runAsUser: 1000700000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /conf
      name: tempo-conf
      readOnly: true
    - mountPath: /var/tempo
      name: data
    - mountPath: /var/run/ca
      name: tempo-sample-ca-bundle
    - mountPath: /var/run/tls/server
      name: tempo-sample-ingester-mtls
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-p4j68
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  hostname: tempo-sample-ingester-0
  nodeName: ossmz-upi-1-compute-3
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 1000700000
    seLinuxOptions:
      level: s0:c26,c25
    seccompProfile:
      type: RuntimeDefault
  serviceAccount: tempo-sample
  serviceAccountName: tempo-sample
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  volumes:
  - name: data
    persistentVolumeClaim:
      claimName: data-tempo-sample-ingester-0
  - configMap:
      defaultMode: 420
      name: tempo-sample
    name: tempo-conf
  - configMap:
      defaultMode: 420
      name: tempo-sample-ca-bundle
    name: tempo-sample-ca-bundle
  - name: tempo-sample-ingester-mtls
    secret:
      defaultMode: 420
      secretName: tempo-sample-ingester-mtls
  - name: kube-api-access-p4j68
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-02-27T08:36:46Z"
    status: "True"
    type: PodReadyToStartContainers
  - lastProbeTime: null
    lastTransitionTime: "2025-02-27T08:36:44Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2025-02-27T08:50:55Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2025-02-27T08:50:55Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2025-02-27T08:36:44Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://4f06d557657a54cc25668e26f06f48e40806c15e732cf54f713880c42c008507
    image: registry.redhat.io/rhosdt/tempo-rhel8@sha256:bcd9aceb63d3a328855a2924810fb67e0c8dd36fc42dd79131c141865d076907
    imageID: registry.redhat.io/rhosdt/tempo-rhel8@sha256:bcd9aceb63d3a328855a2924810fb67e0c8dd36fc42dd79131c141865d076907
    lastState:
      terminated:
        containerID: cri-o://dc67639957972b968f9b9929693f9f3e9b5a373e8e4a8e72e9d7b048a59f93b7
        exitCode: 2
        finishedAt: "2025-02-27T08:50:05Z"
        reason: Error
        startedAt: "2025-02-27T08:50:02Z"
    name: tempo
    ready: true
    restartCount: 2
    started: true
    state:
      running:
        startedAt: "2025-02-27T08:50:19Z"
  hostIP: 192.168.150.10
  hostIPs:
  - ip: 192.168.150.10
  phase: Running
  podIP: 10.130.2.154
  podIPs:
  - ip: 10.130.2.154
  qosClass: BestEffort
  startTime: "2025-02-27T08:36:44Z"
